<?php

namespace common\logic\User\UserUserGroup\Service;

use common\logic\AbstractBuilder;
use common\logic\User\UserUserGroup\Model\UserUserGroup;

class UserUserGroupBuilder extends AbstractBuilder
{
    public function instanciateUserUserGroup(): UserUserGroup
    {
        $userUserGroup = new UserUserGroup();

        return $userUserGroup;
    }

    public function createUserUserGroup(): UserUserGroup
    {
        $userUserGroup = $this->instanciateUserUserGroup();
        $this->saveCreate($userUserGroup);

        return $userUserGroup;
    }
}